%define	upstream_name	 WWW-Babelfish
%define	upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Perl extension for translation via Babelfish or Google
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl-libwww-perl
BuildRequires:  perl(IO::String)
Buildarch:	noarch


%description
Perl interface to the WWW babelfish translation server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOD
n
EOD
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/WWW
%{perl_vendorlib}/auto/WWW
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 374727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 31450
- mageia rebuild
- imported package perl-WWW-Babelfish

